Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224269 - document that sparse files is not recommended in release notes
Summary: document that sparse files is not recommended in release notes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Don Domingo
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 197865
TreeView+ depends on / blocked
 
Reported: 2007-01-24 22:47 UTC by Archana K. Raghavan
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 23:06:58 UTC


Attachments (Terms of Use)

Description Archana K. Raghavan 2007-01-24 22:47:23 UTC
Description of problem:
There are several problems with using sparse files, listing down the bugzillas
to name a few for the sake of reference:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219290
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217764
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218996

This bug is being opened just to track release notes. Release notes should
document that sparse files is not recommended.

Jeremy, sorry this got assigned to you. Can this be assigned to Don Domingo or
whoever is responsible for release notes.

Version-Release number of selected component (if applicable):5.0


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Don Domingo 2007-01-25 02:08:55 UTC
hmmm... we used to have a note reading:

<quote>
When guest operating systems are set to use sparse files, dom0 can run out of
disk space. Such occurences prevent guest disk writes from completing, and can
cause data loss in guests. To prevent this, use the option --nonsparse when
conducting a virt-install
</quote>

but we removed it as per BZ#218996 Comment 6 (i.e. users are already warned of
the dangers of using sparse files when they create guests that use them).

anyhow, will be including the above quote in the Release Notes Updates once
approved. please advise if any revisions are in order, or if it's good to go.

making this bug block release notes, for tracking purposes.

assigning bug to me

 

Comment 2 Archana K. Raghavan 2007-01-25 14:53:05 UTC
Can we also talk about a performance hit while using sparse files as sct puts it
in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219290 Comment #11?

Thanks so much for the quick response.

Regards,
Archana

Comment 3 Don Domingo 2007-01-29 00:16:32 UTC
for the release noes updates:

<quote>
When guest operating systems are set to use sparse files, dom0 can run out of
disk space. Such occurences prevent guest disk writes from completing, and can
cause data loss in guests. Further, guests that use sparse files do not
synchronize I/O safely.

As such, it is recommended that you use non-sparse files instead. To configure
guests to use non-sparse files, use the option --nonsparse when conducting a
virt-install.
</quote>

hope this works. thanks!

Comment 6 Don Domingo 2007-03-13 23:06:58 UTC
yes. thanks!


Note You need to log in before you can comment on or make changes to this bug.